﻿@model SubscriptionInternalViwModel
@{
    ViewBag.Title = "Report Template";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Internal report</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <style>
        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .report-container-base .table th, .report-container-base .table td {
            font-size: 11px !important;
            padding: 0px !important;
        }

        .report-container-base .table-report-custom .td-parent-table ul {
            padding: 4px 3px !important;
            font-size: 11px !important;
        }

            .report-container-base .table-report-custom .td-parent-table ul li {
                padding: 0px 3px !important;
                font-size: 11px !important;
                line-height: 14px;
            }

        .report-container-base .table-report-custom>thead>.row-green td,.report-container-base .table-report-custom>thead>.row-green th{
            padding-top:5px !important;
            font-size: 12px !important;
            padding-bottom:5px !important;
        }
    </style>
</head>

<body>
    <div class="report-container-base report-pdf-container">
        <table class="table-reports-head-gray">
            <!--1-->
            <tr>
                <td rowspan="3" class="numbertd"></td>
                <td rowspan="2" valign="middle">
                    @if (!string.IsNullOrEmpty(Model.Logo) && Model.Logo.ToLower().Contains("http"))
                    {
                        <img class="school-logo" src="@Model.Logo" />
                    }
                    else
                    {
                        <img class="school-logo" src="@string.Format("{0}/{1}", baseUrl, Model.Logo)" />
                    }
                </td>
                <td colspan="5"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <!--2-->
            <tr>
                <td colspan="5"></td>
                <td style="min-width:200px;">School Name: @Model.SchoolName</td>
                <td style="min-width:200px;">Report Date: @Model.ReportDate</td>
                <td></td>
                <td></td>
            </tr>
            <!--3-->
            <tr>
                <td>Total Number of aprticipants: @Model.TotalNumberOfParticipant</td>
                <td colspan="5"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
        </table>
        <table class="table bordered table-report-custom">
            <thead>
                <tr class="row-green">
                    <td class="numbertd"></td>
                    <td valign="middle">Participant</td>
                    <td valign="middle" colspan="5">Program</td>
                    <td valign="middle">Parent/Guardian Info</td>
                    <td valign="middle">Emergency Contact Info</td>
                    <td valign="middle">Authorized Pick up</td>
                    <td valign="middle">Medical Concerns</td>
                </tr>
            </thead>
            <tbody>
                @foreach (var Participant in @Model.Participants)
                {
                    <tr>
                        <td class="numbertd">@Participant.Number</td>
                        <td class="td-parent-table">
                            <ul>
                                <li>@Participant.StudentName</li>
                                <li>@Participant.Grade</li>
                                <li>@Participant.Gender</li>
                                @if (Participant.TeacherName != "")
                                {
                                    <li>Teacher: @Participant.TeacherName</li>
                                }
                                else
                                {
                                    <li></li>
                                }
                                <li>Tuition label: @Participant.TuitionName</li>
                            </ul>

                        </td>
                        <td colspan="5" class="td-parent-table">
                            <table class="table">
                                <tr>
                                    <td colspan="5">@Participant.ProgramName</td>
                                </tr>
                                <tr>
                                    <td colspan="5">@Participant.StrStartTime - @Participant.StrEndTime</td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                </tr>
                            </table>
                            <table class="table ">
                                <tr class="row-green">
                                    <td>M</td>
                                    <td>T</td>
                                    <td>W</td>
                                    <td>R</td>
                                    <td>F</td>
                                </tr>
                                <tr>
                                    @if (Participant.Monday == true)
                                    {
                                        <td>X</td>
                                    }
                                    else
                                    {
                                        <td>&nbsp;</td>
                                    }
                                    @if (Participant.Tuesday == true)
                                    {
                                        <td>X</td>
                                    }
                                    else
                                    {
                                        <td>&nbsp;</td>
                                    }
                                    @if (Participant.Wednesday == true)
                                    {
                                        <td>X</td>
                                    }
                                    else
                                    {
                                        <td>&nbsp;</td>
                                    }
                                    @if (Participant.Thursday == true)
                                    {
                                        <td>X</td>
                                    }
                                    else
                                    {
                                        <td>&nbsp;</td>
                                    }
                                    @if (Participant.Friday == true)
                                    {
                                        <td>X</td>
                                    }
                                    else
                                    {
                                        <td>&nbsp;</td>
                                    }

                                </tr>
                            </table>
                        </td>
                        <td class="td-parent-table">
                            <ul>
                                @if (Participant.FirstParentName != " ")
                                {
                                <li>@Participant.FirstParentName</li>
                                }
                                else
                                {
                                <li>-</li>
                                }
                                @if (Participant.FirstParentHome != "")
                                {
                                <li>@Participant.FirstParentHome</li>
                                }
                                else
                                {
                                <li>-</li>
                                }
                                @if (Participant.FirstParentPhone != "")
                                {
                                <li>@Participant.FirstParentPhone</li>
                                }
                                else
                                {
                                <li>-</li>
                                }
                                @if (Participant.FirstParentEmail != "")
                                {
                                <li>@Participant.FirstParentEmail</li>
                                }
                                else
                                {
                                <li>-</li>
                                }
                                @if (Participant.FirstParentRelationShip != "")
                                {
                                <li>@Participant.FirstParentRelationShip</li>
                                }
                                else
                                {
                                <li>-</li>
                                }
                            </ul>
                            @if (Participant.SecoundParentName != " ")
                            {
                            <ul>

                                @if (Participant.SecoundParentName != " ")
                                    {
                                    <li>@Participant.SecoundParentName</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                @if (Participant.SecoundParentHome != "")
                                    {
                                    <li>@Participant.SecoundParentHome</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                @if (Participant.SecoundParentPhone != "")
                                    {
                                    <li>@Participant.SecoundParentPhone</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                @if (Participant.SecoundParentEmail != "")
                                    {
                                    <li>@Participant.SecoundParentEmail</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                @if (Participant.SecoundParentRelationShip != "")
                                    {
                                    <li>@Participant.SecoundParentRelationShip</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                            </ul>
                            }

                        </td>
                        <td class="td-parent-table">
                            <ul>
                                @if (Participant.FirstEmergencyName != " ")
                                {
                                    <li>@Participant.FirstEmergencyName</li>
                                }
                                else
                                {
                                    <li>-</li>
                                }
                                <li>-</li>
                                @if (Participant.FirstEmergencyPhone != "")
                                {
                                    <li>@Participant.FirstEmergencyPhone</li>
                                }
                                else
                                {
                                    <li>-</li>
                                }
                                <li>-</li>
                                @if (Participant.FirstEmergencyRelationShip != "")
                                {
                                    <li>@Participant.FirstEmergencyRelationShip</li>
                                }
                                else
                                {
                                    <li>-</li>
                                }
                            </ul>
                            @if (Participant.SecoundEmergencyName != " ")
                            {
                                <ul>
                                    @if (Participant.SecoundEmergencyName != " ")
                                    {
                                        <li>@Participant.SecoundEmergencyName</li>
                                    }
                                    else
                                    {
                                        <li>-</li>
                                    }
                                    <li>-</li>
                                    @if (Participant.SecoundEmergencyPhone != "")
                                    {
                                        <li>@Participant.SecoundEmergencyPhone</li>
                                    }
                                    else
                                    {
                                        <li>-</li>
                                    }
                                    <li>-</li>
                                    @if (Participant.SecoundEmergencyRelationShip != "")
                                    {
                                        <li>@Participant.SecoundEmergencyRelationShip</li>
                                    }
                                    else
                                    {
                                        <li>-</li>
                                    }
                                </ul>
                            }

                        </td>
                        <td class="td-parent-table">

                            @if (Participant.FirstAuthuraizePikeUpName != " ")
                            {
                            <ul>
                                @if (Participant.FirstAuthuraizePikeUpName != " ")
                                    {
                                    <li>@Participant.FirstAuthuraizePikeUpName</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                <li>-</li>
                                @if (Participant.FirstAuthuraizePikeUpPhone != "")
                                    {
                                    <li>@Participant.FirstAuthuraizePikeUpPhone</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                <li>-</li>
                                @if (Participant.FirstAuthuraizePikeUpRelationShip != "")
                                    {
                                    <li>@Participant.FirstAuthuraizePikeUpRelationShip</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                            </ul>
                            }
                            @if (Participant.SecoundAuthuraizePikeUpName != " ")
                            {
                            <ul>
                                @if (Participant.SecoundAuthuraizePikeUpName != " ")
                                    {
                                    <li>@Participant.SecoundAuthuraizePikeUpName</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                <li>-</li>
                                @if (Participant.SecoundAuthuraizePikeUpPhone != "")
                                    {
                                    <li>@Participant.SecoundAuthuraizePikeUpPhone</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                                <li>-</li>
                                @if (Participant.SecoundAuthuraizePikeUpRelationShip != "")
                                    {
                                    <li>@Participant.SecoundAuthuraizePikeUpRelationShip</li>
                                    }
                                    else
                                    {
                                    <li>-</li>
                                    }
                            </ul>
                            }
                        </td>
                        <td class="td-parent-table">

                            <ul>
                                @if (Participant.HealthMedical != "")
                                {
                                    <li>@Participant.HealthMedical</li>
                                }
                                @if (Participant.Allergies != "")
                                {
                                    <li>@Participant.Allergies</li>
                                }
                                @if (Participant.Deitary != "")
                                {
                                    <li>@Participant.Deitary</li>
                                }
                                @if (Participant.Medication != "")
                                {
                                    <li>@Participant.Medication</li>
                                }
                                @if (Participant.Other != "")
                                {
                                    <li>@Participant.Other</li>
                                }
                            </ul>

                        </td>
                    </tr>
                }

            </tbody>


        </table>
    </div>
</body>
</html>
